Cyberduck Mountain Duck CLI

#6557 closed enhancement (wontfix)

Read file type from metadata

Reported by: Daankets Owned by: dkocher
Priority: normal Milestone:
Component: googledrive Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by Daankets)

In google docs, you can upload different types of files, like for example pdf files. Google docs will store the file with the file name communicated during the upload, and also store the content-type (mime-type) separately.

If, in Google docs, your rename an item (a file), you may perfectly well remove the (.pdf or other) file extension from the file name, as the file type is stored separately (not linked to the extension).

When you open a google docs connection with CyberDuck, files are listed as they are named within google docs. A PDF file renamed to a name without an extension, will not have an extension within the Cyberduck listing, but also - and that's worse - the mime type will not be detected. It should however be possible to list such files as files with a 'hidden extension' within CyberDuck. This way, after downloading a file, the file type would be correctly recognized by OS X.

How to replicate:

  • Upload two pdf files to google docs.
  • Rename one of them, removing the .pdf extension. Note that google docs still recognizes the PDF nature of the file.
  • Connect with CyberDuck and list the files. Note how one file is recognized as a PDF file, and the other is not.

Change History (5)

comment:1 Changed on Feb 24, 2012 at 10:08:32 AM by Daankets

  • Description modified (diff)

comment:2 Changed on Feb 24, 2012 at 1:42:29 PM by dkocher

  • Milestone set to 4.3
  • Summary changed from Google docs - hidden extensions to Read file type from metadata

comment:3 Changed on Apr 3, 2012 at 9:22:35 AM by dkocher

We actually read the file type from the document type returned which is just generic and without a specific MIME type. We derive a file extension from this which is added to the filename as when saving documents on download there is no option to store a MIME type.

comment:4 Changed on Apr 4, 2013 at 1:43:45 PM by dkocher

  • Milestone 4.4 deleted
  • Resolution set to wontfix
  • Status changed from new to closed

We have dropped support for Google Drive in r10785.

comment:5 Changed on Apr 4, 2013 at 1:45:31 PM by dkocher

See #6976.

Note: See TracTickets for help on using tickets.
swiss made software